## Tcl8.6.0/Tk8.6.0 Documentation > Tcl/Tk Keywords - S

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### A | B | C | D | E | F | G | H | I | J | K | L | M | N | O | P | Q | R | S | T | U | V | W | X | Y | Z

safe
  Tk_Init
safe interpreter
  safe, loadTk
safe interpreter
  interp, load, unload
scalar
  SetVar
scale
  scale, ttk_scale
scan
  binary, scan
scope
  code
screen
  winfo, CrtWindow, GetVisual, WindowId
screen distance
  SetOptions
screen units
  GetPixels
script
  eval, fileevent, source, Tcl, time, Eval, NRE, BindTable
script file
  tclsh, wish
scrollbar
  scrollbar, ttk_scrollbar, GetScroll
scrolling command
  GetScroll
search
  array, lsearch, find, Hash
security
  send
security policy
  http
seek
  seek, OpenFileChnl
seeking
  tell
selection
  chooseDirectory, clipboard, selection, CanvTkwin, CanvTxtInfo, ClrSelect, CrtItemType, CrtSelHdlr
selection anchor
  CanvTxtInfo
selection owner
  OwnSelect
selection retrieval
  GetSelect
send
  send, tk
send command
  SetAppName
separator
  join, ttk_separator
serial
  open
server
  OpenTcp
service mode
  Notifier
set
  lassign, lset, SetVar
shadow
  3DBorder
shared library
  load, unload, Load
shell
  tclsh, wish
signal
  Async
signal numbers
  Signal
signals
  Signal
size
  grid, pack, wm
sizegrip
  ttk_sizegrip
slave
  place, CrtSlave, MaintGeom
slave interpreter
  interp, safe, loadTk
sleep
  after, Sleep
slider
  scale, ttk_scale
slot
  define
socket
  http, socket, OpenTcp
sort
  lsort
source
  safe, loadTk
spinbox
  spinbox, ttk_spinbox
split
  split, SplitList, SplitPath
splitting
  regexp
sprintf
  format
SQL
  tdbc, tdbc_connection, tdbc_mapSqlState, tdbc_resultset, tdbc_statement, tdbc_tokenize, tdbc_mysql, tdbc_odbc, tdbc_postgres, tdbc_sqlite3, Tdbc_Init
SQLite3
  tdbc_sqlite3
stack
  AddErrInfo, Stack
stack frame
  uplevel
stacking order
  lower, raise, Restack
stackless
  NRE
standard channel
  GetStdChan
standard channels
  StdChannels, CrtConsoleChan
standard error
  GetStdChan
standard input
  GetStdChan
standard option
  options
standard output
  GetStdChan
stat
  file, Access, FileSystem
state
  ttk_widget, tdbc_mapSqlState, SaveResult
statement
  tdbc, tdbc_connection, tdbc_resultset, tdbc_statement
static linking
  StaticPkg
sticky
  ttk_Geometry
stipple
  CanvPsY
storage
  Preserve
stored procedure
  tdbc_resultset, tdbc_statement
string
  format, lsearch, re_syntax, regexp, split, string, ExprLong, ExprLongObj, LinkVar, PrintDbl, RegExp, StrMatch, GetJustify, GetRelief
string representation
  DoubleObj, IntObj, ListObj, Object, ObjectType, StringObj
string type
  StringObj
string value
  StringObj
strings
  Concat, SplitList
stubs
  InitStubs, TkInitStubs
style
  ttk_image, ttk_style, ttk_vsapi
subexpression
  RegExp
sublist
  lrange
subprocess
  exec, tclvars
substitution
  format, regsub, subst, Tcl
switch
  switch, options
synchronization
  thread, tsv
synonym
  ConfigWidg, SetOptions

Copyright © 1989-1994 The Regents of the University of California Copyright © 1992-1999 Karl Lehenbauer & Mark Diekhans Copyright © 1992-1999 Karl Lehenbauer and Mark Diekhans Copyright © 1993-1997 Bell Labs Innovations for Lucent Technologies Copyright © 1993-1998 Lucent Technologies, Inc Copyright © 1994 The Australian National University Copyright © 1994-2000 Sun Microsystems, Inc Copyright © 1997-2000 Ajuba Solutions Copyright © 1997-2000 Scriptics Corporation Copyright © 1998 Mark Harrison Copyright © 2000 Jeffrey Hobbs Copyright © 2001 ActiveState Tool Corp Copyright © 2001 Vincent Darley Copyright © 2001-2004 ActiveState Corporation Copyright © 2001-2005 Kevin B. Kenny <kennykb(at)acm.org> Copyright © 2001-2012 Donal K. Fellows Copyright © 2002-2010 Andreas Kupries <andreas_kupries(at)users.sourceforge.net> Copyright © 2003 George Petasis <petasis(at)iit.demokritos.gr> Copyright © 2003 Simon Geard Copyright © 2003-2006 Joe English Copyright © 2006 Miguel Sofer Copyright © 2006-2008 ActiveState Software Inc Copyright © 2006-2008 Daniel A. Steffen <das(at)users.sourceforge.net> Copyright © 2006-2008 Joe Mistachkin Copyright © 2008 Arnulf Widemann Copyright © 2008 Arnulf Wiedemann Copyright © 2008 Jos Decoster Copyright © 2008 Pat Thoyts Copyright © 2008 Peter Spjuth <pspjuth(at)users.sourceforge.net> Copyright © 2008-2010 Kevin B. Kenny Copyright © 2011 Kevin Walzer Copyright © 2012 Trevor Davel